Search Gradle plugins

biz.lermitage.oga

Old GroupIds Alerter - A Gradle plugin that checks for deprecated groupId+artifactId (e.g. did you know that graphql-spring-boot-starter moved from com.graphql-java to com.graphql-java-kickstart?).

https://github.com/jonathanlermitage/oga-gradle-plugin

Version 1.1.0 (latest)

Created 21 July 2019.

Old GroupIds Alerter - A Gradle plugin that checks for deprecated groupId+artifactId (e.g. did you know that graphql-spring-boot-starter moved from com.graphql-java to com.graphql-java-kickstart?).

Using the plugins DSL:

plugins {
  id "biz.lermitage.oga" version "1.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.biz.lermitage.oga:oga-gradle-plugin:1.1.0"
  }
}

apply plugin: "biz.lermitage.oga"

Using the plugins DSL:

plugins {
  id("biz.lermitage.oga") version "1.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.biz.lermitage.oga:oga-gradle-plugin:1.1.0")
  }
}

apply(plugin = "biz.lermitage.oga")

Learn how to apply plugins to subprojects